/*******************************************************************
 *
 *    FILE:			looptest.c
 *
 *    DESCRIPTION:	
 *   	Test application for SBComm functions under UNIX. Tested 
 *		under SCO UNIX V/386 and NeXTSTEP v3.2.
 *
 *	 	A very 	simple program that calls the functions in loop.c for 
 *		testing the serial port access functions with a loopback plug.
 *
 *    HISTORY:
 *    	Sept 8, 1994:	First UNIX release - Guy Townsend 
 *
 *    	Sept 22, 1994:	Updated to include NEXT support. - GAT
 *
 *******************************************************************/

#include <stdio.h>
#include "sbhw.h" /* required by all SoftBoard files */

/* output routines header */
#include "sbout.h"		

#include "loop.h"		
				
void main(int argv, char* argc[])
{
	/* SBShowDebugOutput = TRUE; */

	/* check the command line for the port to use */
	if (argv > 1)
	{
		/* figure out which port to use and assign it */
		LoopBackTest( argc[1] );
	}	                        
	else
		fprintf(stdout, "\nUsage: looptest tty_device \n\n"); 
	
}

				
/***** SB_ClearOutputWindow()  ******/
/*	Clears the output window */
void SB_ClearOutputWindow()
{
	/* clear the screen ? */	
} 


/***** SB_ShowError() ******/ 
/* 	Shows an error message in a dialog box */
void SB_ShowError( char* ErrorString )
{
	fprintf(stderr,"Error: %s \n", ErrorString);
}                            


/***** SB_PutString() ******/ 
/* puts a string to the output window */
void SB_PutString( char* String )
{
	fprintf(stdout,"%s\n", String);
}


