/*************************************************************************
 *
 *    FILE:			sbdata.h
 *
 *    DESCRIPTION:	header file for sbdata.c; also contains global data
 *					structures for SoftBoard status and the data received
 *					from the SoftBoard.
 *
 *    HISTORY:    	
 *		Sept. 22, 1994:	First released - Guy Townsend / Microfield
 *
 ************************************************************************/
#if !defined( _SBDATA_H_ )
#define _SBDATA_H_ 

#include "sbhw.h"

/* global structure to hold info about current state of the SoftBoard,
   as well as the port number.*/
struct 
{
	BOOL PortOpen;  
	char  Port[80];
	BOOL DownloadDone;
	BOOL Recording;
}SBStatus;
 
/* max number of data bytes in a SoftBoard message */
/* this may change if new commands are added later */
#define MAX_SBDATA 10

/* global structure for data received from the board */
struct 
{
	BOOL Busy;
	short Tag;
	short DataSize;
	BYTE Data[MAX_SBDATA];
}SBData;   

 
/* public functions in sbdata.c */
void SBDataSendCommand( BYTE Tag, BYTE *Data);
void SBDataCheckPort();
BOOL SBDataIsDownloadDone();

#endif /* ! _SBDATA_H_ */

