/*******************************************************************
 *
 *    FILE:			sberrstr.h
 *
 *    DESCRIPTION:	
 *			Contains error strings used in the SBDOWN module. These 
 *			strings are presented to the user, and so need to be 
 *			easily customizable. Note that some strings are format
 *			strings for an sprintf() call, and care if needed when 
 *			modifying them.
 *
 *    HISTORY:    	
 *		Dec 16, 1994:	Created - Guy Townsend
 *		
 *******************************************************************/
 
#define SBERR_FILE_NOT_FOUND "Download file not found: \n%s"
#define SBERR_FILE_CANNOT_OPEN 	"Error opening file: \n %s"
#define SBERR_FILE_INVALID 	"Error in file: \n %s"

#define	SBERR_PHASE1_NO_HANDSHAKE "Error Starting Phase 1 DSP Code:\n No Handshake"
#define	SBERR_PHASE1_UKNOWN_COMM_ERR "Error Starting Phase 1 DSP Code:\n Unknown comm error: %d"
#define	SBERR_PHASE1_BAD_HANDSHAKE "Error Starting Phase 1 DSP Code:\n (return = %02x hex)"

#define	SBERR_PHASE2_NO_HANDSHAKE "Error Starting Phase 2 DSP Code:\n No Handshake"
#define	SBERR_PHASE2_UKNOWN_COMM_ERR "Error Starting Phase 2 DSP Code:\n Unknown comm error: %d"
#define	SBERR_PHASE2_BAD_HANDSHAKE "Error Starting Phase 2 DSP Code:\n (return = %02x hex)"

#define	SBERR_PHASE3_NO_HANDSHAKE "Error Starting Phase 3 DSP Code:\n No Handshake"
#define	SBERR_PHASE3_UKNOWN_COMM_ERR "Error Starting Phase 3 DSP Code:\n Unknown comm error: %d"
#define	SBERR_PHASE3_BAD_HANDSHAKE "Error Starting Phase 3 DSP Code:\n (return = %02x hex)"

#define SBERR_BAUDSET_TIMEOUT  "Error setting baud rate:\n Timeout"
#define SBERR_BAUDSET "Error setting baud rate \n errno = %d"

#define	SBERR_SBSTART_NO_HANDSHAKE "Error Starting SoftBoard:\n No Handshake"
#define	SBERR_SBSTART_UKNOWN_COMM_ERR "Error Starting SoftBoard:\n Unknown comm error: %d"
#define	SBERR_SBSTART_BAD_HANDSHAKE "Error Starting SoftBoard:\n (return = %02x hex)"

#define SBERR_USER_ABORT	"User aborted download of file: \n %s"
#define SBERR_NO_RESPONSE	"No Response from SoftBoard, check power"

#define SBERR_NO_START_HANDSHAKE "Error downloading file: \n %s \n No Start Handshaking byte for line: %d"
#define SBERR_NO_END_HANDSHAKE "Error downloading file: \n %s \n No End Handshaking byte for line: %d"
#define SBERR_BAD_HANDSHAKE "Error downloading file: \n %s \n Bad Handshaking byte = %02X"


