/*******************************************************************
 *
 *    FILE:			sbhw.h
 *
 *    DESCRIPTION:	Function prototypes for sbhw.c functions, and 
 *					hardware/platform dependent stuff.
 *
 *    HISTORY:    	
 *		June 3, 1994:	First released - Guy Townsend
 *		
 *		June 30, 1994:	Added LOBYTE, HIBYTE, LOWORD, HIWORD macros
 *
 *		Sept. 7, 1994:	First UNIX specific release
 *
 *		Sept. 22, 1994:	Updated slightly, including using new
 *						SB_UNIX #define for conditional compilation.
 *
 *		Oct. 11, 1994:	Added support for NEXTSTEP.
 *
 *						Removed the LOBYTE, etc. macros since they 
 *						were never used elsewhere.
 *
 *******************************************************************/
#if !defined( _SBHW_H_ )
#define _SBHW_H_

/** global definitions **/
/* used in various files for minor differences between UNIX variants and DOS,
	such as path delimiters  */
#define SB_UNIX

/* May need this for the compiler on SCO, which is actually a 
   Microsoft compiler. See sbdown.c for details. */
/* #define SB_SCO_INTEL */

/* uncomment only for NEXTSTEP */
/* #define SB_NEXTSTEP */

#ifdef SB_NEXTSTEP
/* needed for most any NEXT app */
#include <libc.h> 
#endif

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

/* may need to be careful about these being duplicated elsewhere,
  especially BOOL */
typedef unsigned char BYTE;
typedef int BOOL;
#define SB_MAX_STR_LEN 255
/** global variables */ 
BOOL SBAbortFlag; /* Program global. See SBReleaseControl for details */
BOOL SBShowDebugOutput;	 /* Program global. See SBTrace  */
BOOL SBDebugCommReads;	/*   Program global. See SBComm file */

/** function prototypes **/
void SBWait( unsigned long Milliseconds);
void SBTrace( char *Message );
BOOL SBReleaseControl(void);

#endif  /* _SBHW_H_ */


