/*******************************************************************
 *
 *    FILE:			sbout.h
 *
 *    DESCRIPTION:	Function prototypes for SoftBoard test functions
 *					that control screen output. The actual functions
 *					will change depending on the target platform, and 
 *					may be in any file linked with the calling modules.
 *
 *    HISTORY:  	
 *		June 30, 1994:	First Released - Guy Townsend
 *
 *		Sept. 8, 1994:	Changed name from sb_out.h to sbout.h to 
 *						be consistent with other files. - GAT
 *
 *		Dec. 7, 1994:	Removed SB_MAX_STR_LEN (moved to sbhw.h)
 *
 *******************************************************************/
#if !defined( _SBOUT_H_ )
#define _SBOUT_H_

#include "sbhw.h"

/*	"Strings" longer than SB_MAX_STR_LEN are truncated. However, several 
	small lines can be sent as one zero-terminated string, with newlines
	at the end of the strings.
 */
	
void SB_ClearOutputWindow();
void SB_ShowError( char* ErrorString );
void SB_PutString( char* MessageString);

#endif /* !_SBOUT_H_ */


