/**************************************************************************
 *
 *    FILE:			sbtags.h
 *
 *    DESCRIPTION:	Ordinal definitions for the tag fields in messages 
 *					between the PC and the SoftBoard (in both directions).
 *
 *    HISTORY:    	
 *		Sept. 8, 1994:	First released - Guy Townsend / Microfield
 *
 *		Oct. 11, 1995:	Added TAG_TRACKING_RESUMED.
 *		
 ***************************************************************************/

#ifndef TAGS_H
#define TAGS_H

/* Pen colors/types */
#define SBPEN_BLACK 0
#define SBPEN_RED   1
#define SBPEN_GREEN 2
#define SBPEN_BLUE  3

#define SBPEN_LARGE_ERASER 64
#define SBPEN_SMALL_ERASER 65 

/* PC->DSP tags */
#define TAG_START_RECORDING				129
#define TAG_STOP_RECORDING				130
#define TAG_START_ALIGNMENT_CHECK		142
#define TAG_STOP_ALIGNMENT_CHECK		143
#define TAG_SET_STANDBY_IDLE_TIME		136
#define TAG_QUERY_SOFTBOARD_EXTENTS		128
#define TAG_QUERY_SOFTBOARD_STATUS		131
#define TAG_QUERY_MANUFACTURING_INFO 	135
#define TAG_QUERY_DSPCODE_VERSION		137
#define TAG_QUERY_SOFTBOARD_ALIGNMENT	139
#define TAG_QUERY_IDEAL_HEIGHTS			141
#define TAG_GOTO_STANDBY_MODE			140
#define TAG_SEND_STARTUP_SEQUENCE		144

/* DSP->PC tags */
#define TAG_PENDOWN					1
#define TAG_DRAW 					2
#define TAG_PENUP 					3 
#define TAG_DELTA_DRAW				4   /* special case, not actually sent */
#define TAG_SOFTBOARD_EXTENTS		128
#define TAG_RECORDING_STARTED		129
#define TAG_RECORDING_STOPPED		130
#define TAG_SOFTBOARD_STATUS		131
#define TAG_MANUFACTURING_INFO		135
#define TAG_DSPCODE_VERSION			137
#define TAG_SOFTBOARD_ALIGNMENT		139
#define TAG_STANDBY_MODE_ENTERED	140
#define TAG_IDEAL_HEIGHTS			141
#define TAG_SOFTBOARD_FLATNESS 		142
#define TAG_ACTUAL_HEIGHTS			143
#define TAG_END_OF_STARTUP_SEQUENCE	144
#define TAG_ECHO_STANDBY_IDLE_TIME	145
#define TAG_TRACKING_RESUMED		146


#endif /* !SBTAGS_H */


