#ifndef _H_VNODE
#define _H_VNODE

// The hardest thing in the world to understand is the income tax.
//                -- Albert Einstein
// This is harder.
//                -- me


#define MAXFILENAME           256
#define TRACE_PORT            7777
#define DEFAULTCONFFILE       "vnode.conf"
#define MAXMESGSIZE           4096
#define MAXDATA               4050
#define MAXTHREADS            1024
#define MAXNETWORKS           256
#define MYPATH                "vnodeipc."
#define NETTHREAD             1
#define UNIXTHREAD            2
#define VMSGHEADER            "../vmsg/vmsg.hh"
#define LISTENPORT            8888  // Note, if this port is busy, 
                                    // we will try each successive 
                                    // one till we succeed or run 
                                    // out of ports!


#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <string.h>
#include <errno.h>
#include <sys/signal.h>
#include <iostream.h>
#include <signal.h>
#include <strings.h>
#include <unistd.h>
#include <fcntl.h>
#include <netdb.h>
#include <pthread.h>
#include <sys/un.h>
#include "contactnode.hh"
#include VMSGHEADER
#include "list.hh"
#include "vtree.hh"
#include "vtn.hh"
#include "vsocketdb.hh"



// -------Temporary structs to be used to pass args to threads ----------

typedef struct 
{
  struct sockaddr_in remote_addr;
  int tid;
  int sid;
} thread_accept_temp_str;

typedef struct 
{
  unsigned long int ip;
  unsigned short int port;
  unsigned long int vtnid;
  unsigned long int vip;
  unsigned long int rvip;
  unsigned long rip;
  unsigned short rport;
  char pass[8];
} thread_join_temp_str;

// ----------------------------------------------------------------------

// Structure to keep connected sockets
typedef struct 
{
  int id;       // socket id
  bool flag;    // permanent flag
  unsigned long vtn;
  unsigned long vip;
  unsigned long ip;
  unsigned short port;
  bool joined;  // joined node
  bool used;    // Used flag
} socket_str;

class VNode
{
public:
  // Constructors
  VNode(char *filestr);
  void startup();               // Guess...
  void netserve();
  void unixserve();
  void tcp_reply(thread_accept_temp_str *);
  void unix_reply(int, int);
  void joinVTN(unsigned long, 
	       unsigned long,
               unsigned long, 
	       unsigned short, 
               unsigned long,
	       unsigned long, 
	       unsigned short, char *pass);
private:
  void vnlisten(int newsocket);
  void connect_to_closest(char *mesg, unsigned long int vtnid, unsigned long cip, unsigned long cvip, unsigned short port, char *pass);

  char *request_info(int, unsigned long int,   
                          unsigned long int,   
  		          unsigned short, bool,
		          unsigned long int);

  int tcp_socket(bool, struct sockaddr_in *, 
                       struct sockaddr_in *, 
                       unsigned long int, 
                       unsigned short,
       		       unsigned short);

  void broadcast(char *mesg, unsigned long int vtn, int from);
  void reludp(char *mesg);
  int get_next_thread(int which);
  int get_next_socket(int which);
  void connect_me();

  unsigned short port;  // Listener 
  unsigned long VNip;
  char file[MAXFILENAME];    // Configuration file
  
  int tcpsocket, tcpcontact, unixsocket;
  pthread_t netthreads[MAXTHREADS], unixthreads[MAXTHREADS];
  socket_str netsockets[MAXTHREADS];
  int unixsockets[MAXTHREADS];
  bool netstarted, connected;
};

// Global stuff
extern bool verbose;
extern bool BYE;
extern ContactNode *contactnode;
extern VTN *vtn;
extern VNode *vn;
extern int pongsockfd;
extern void *pong(void *);
extern int ping(unsigned long);
extern bool unixlock;
extern bool isnumber(char *str);
extern int  tonumber(char *str);
extern void usage(void);
extern void parse_input(int argc, char *argv[]);
extern FILE *conflex_in;
extern conflex_lex();
extern void neterror(int);
extern struct in_addr toinaddr(unsigned long int);
extern int where(char *, char);
extern int inistring(char *, int);
extern void wakeup(int n);
extern void killme(int arg);
extern "C" unsigned long int inet_addr(const char *cp);
extern "C" char *inet_ntoa(struct in_addr);
extern "C" unsigned long int inet_lnaof(struct in_addr);
extern "C" int gethostname(char *, int);
extern "C" struct hostent *gethostbyname(const char *);

#endif


























